Skip to main content
GET
/
v0
/
events
/
{update_id}
/v0/events/{update_id}
curl --request GET \
  --url https://example.com/api/scan/v0/events/{update_id}
{
  "update": {
    "update_id": "<string>",
    "migration_id": 123,
    "workflow_id": "<string>",
    "record_time": "<string>",
    "synchronizer_id": "<string>",
    "effective_at": "<string>",
    "root_event_ids": [
      "<string>"
    ],
    "events_by_id": {},
    "external_transaction_hash": "<string>"
  },
  "verdict": {
    "update_id": "<string>",
    "migration_id": 123,
    "domain_id": "<string>",
    "record_time": "<string>",
    "finalization_time": "<string>",
    "submitting_parties": [
      "<string>"
    ],
    "submitting_participant_uid": "<string>",
    "verdict_result": "VERDICT_RESULT_UNSPECIFIED",
    "mediator_group": 123,
    "transaction_views": {
      "views": [
        {
          "view_id": 123,
          "informees": [
            "<string>"
          ],
          "confirming_parties": [
            {
              "parties": [
                "<string>"
              ],
              "threshold": 123
            }
          ],
          "sub_views": [
            123
          ],
          "view_hash": "<string>"
        }
      ],
      "root_views": [
        123
      ]
    }
  },
  "traffic_summary": {
    "total_traffic_cost": 123,
    "envelope_traffic_summaries": [
      {
        "traffic_cost": 123,
        "view_ids": [
          123
        ]
      }
    ]
  },
  "app_activity_records": {
    "round_number": 123,
    "records": [
      {
        "party": "<string>",
        "weight": 123
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.canton.network/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

update_id
string
required

Query Parameters

daml_value_encoding
enum<string>

How daml values should be encoded in the response. "compact_json" is a compact, human-readable JSON encoding. It is the same encoding as the one used in the HTTP JSON API or the JavaScript codegen. "protobuf_json" is a verbose JSON encoding that is more difficult to parse, but contains type information, i.e., the values can be parsed losslessly without having access to the Daml source code. Optional and defaults to "compact_json".

Available options:
compact_json,
protobuf_json

Response

ok

An event history item may contain a transaction update, a verdict from a mediator, both, or a contract reassignment. If an event pertains to a contract reassignment, there will be no verdict data. If an event pertains to a wholly private transaction, there will only be verdict data. If an event pertains to a transaction that is partially private, it may also bear verdict information for the private portions. When both fields are present, the transaction and verdict have the same update_id and record_time.

Experimental: for networks where the SVs enable activity record computation, a traffic summary and app activity record are present when a verdict is present.

This support is experimental while the preview phase of CIP-104 is running.

update
object

An individual item in the update history. May be a transaction or a contract reassignment.

verdict
object
traffic_summary
object

EXPERIMENTAL: This property is experimental and subject to change. Data may be incomplete or missing.

This is our current best guess for how the summaries are served, but there remains a chance that the API needs to be adjusted.

app_activity_records
object

EXPERIMENTAL: This property is experimental and subject to change. Data may be incomplete or missing.